Bug 1670173 - [RFE] Foreman canned admin
Summary: [RFE] Foreman canned admin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Authorization
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Released
Assignee: Ondřej Pražák
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-28 20:53 UTC by Bryan Kearney
Modified: 2019-10-07 17:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC
Foreman Issue Tracker 24259 None None None 2019-01-28 20:53:50 UTC

Internal Links: 1671476

Description Bryan Kearney 2019-01-28 20:53:49 UTC
It was requested that we ship a new default role - Canned admin. This role is supposed to create new organizations without access to entities within those organizations and manage system wide settings.

Comment 1 Bryan Kearney 2019-01-28 20:53:51 UTC
Created from redmine issue https://projects.theforeman.org/issues/24259

Comment 2 Bryan Kearney 2019-01-28 20:53:53 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 Sanket Jagtap 2019-02-21 12:24:06 UTC
Build:Satellite 6.5 snap 16

The new role is able to create organizations, locations and org-admins. 

It also has the access to settings. 

But no access to the entities inside organizations and locations

Comment 9 errata-xmlrpc 2019-05-14 12:39:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.